#!/usr/bin/env python

import gtk
import eog
from console import PythonConsole
import subprocess

ui_str = """
	<ui>
	  <menubar name="MainMenu">
	    <menu name="ToolsMenu" action="Tools">
	      <separator/>
	      <menuitem name="LaunchGimp" action="LaunchGimp"/>
	      <separator/>
	    </menu>
	  </menubar>
	</ui>
	"""

class LaunchGimpPlugin(eog.Plugin):

	def __init__(self):
		eog.Plugin.__init__(self)
		self.console_window = None
			
	def activate(self, window):
		data = dict()
		ui_manager = window.get_ui_manager()
		data['group'] = gtk.ActionGroup('LaunchGimp')
		data['group'].add_actions([('LaunchGimp', None, 'L_aunch Gimp', None, None, self.launch_cb)], window)
		ui_manager.insert_action_group(data['group'], 0)
		data['ui_id'] = ui_manager.add_ui_from_string(ui_str)
		window.set_data('LaunchGimpPluginInfo', data)
		window.connect('delete-event', self.self_deactivate)
	def deactivate(self, window):
		data = window.get_data('LaunchGimpPluginInfo')
		ui_manager = window.get_ui_manager()
		if(data):
			ui_manager.remove_ui(data['ui_id'])
			ui_manager.remove_action_group(data['group'])
			ui_manager.ensure_update()
		window.set_data("LaunchGimpPluginInfo", None)
		
	def launch_cb(self,action, window):
		img = window.get_image()
		if(img):
			f = img.get_file()
			subprocess.Popen(["gimp",f.get_path()])
			
	def self_deactivate(self, window, event):
		self.deactivate(window)
